{% extends "base.html" %}
{% block title %}
    {{ recipe_object.title }}
{% endblock title %}
{% block nav %}
    <header>
        <nav>
            <ul class="nav-bar-items">
                <li><a class="nav-bar" href="{% url "recipe_list" %}">Main page</a></li>
                <li><a class="nav-bar" href="{% url "create_recipe" %}">Create a recipe</a></li>

                {% if user.is_authenticated %}
                <li class="nav-bar">
                    Hello, {{ user.username }}
                </li> 
                <li><a class="nav-bar" href="{% url 'my_recipe_list' %}">My Recipes</a></li>
                <li><a class="nav-bar" href="{% url 'user_logout' %}">Logout</a></li>
            
            {% else %}
                <li><a class="nav-bar" href="{% url 'signup' %}">Sign up</a></li>
                <li><a class="nav-bar" href="{% url 'user_login' %}">Login</a></li>
            {% endif %}
            </ul>
        </nav>
    </header>
{% endblock nav %}
{% block content %}
    <h1>Scrumptious Recipes</h1>
    <h2>All the food that's fit to eat</h2>
    <div id="recipe-card-page">
        {% for recipe in recipe_list %}
        <div class="{% cycle 'recipe-card' 'recipe-card' 'recipe-card-background' %}">
            <h3><a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a></h3>
            <div class="recipe-card-img">
            <img alt="picture of recipe" src="{{ recipe.picture }}"/>
            </div>
            <p>{{ recipe.created_on|date:"j F, Y" }}</p>
            <p>4.3 &#9734</p>
        </div>
        {% endfor %}
    </div>
{% endblock content %}
